<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.FlowPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.StackPane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<BorderPane fx:id="window" prefHeight="664.0" prefWidth="1000.0" xmlns:fx="http://javafx.com/fxml/1" xmlns="http://javafx.com/javafx/21">
   <left>
      <Pane prefHeight="664.0" prefWidth="262.0" style="-fx-background-color: E9E9E9;" BorderPane.alignment="CENTER">
         <children>
            <VBox layoutX="59.0" layoutY="36.0" prefHeight="240.0" prefWidth="189.0" spacing="15.0">
               <children>
                  <Button alignment="TOP_LEFT" prefHeight="25.0" prefWidth="173.0" text="Today">
                     <font>
                        <Font name="System Bold" size="12.0" />
                     </font>
                     <graphic>
                        <ImageView fitHeight="17.0" fitWidth="21.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@../img/Today.png" />
                           </image>
                        </ImageView>
                     </graphic>
                  </Button>
                  <Button alignment="TOP_LEFT" prefHeight="25.0" prefWidth="173.0" text="Important">
                     <font>
                        <Font name="System Bold" size="12.0" />
                     </font>
                     <graphic>
                        <ImageView fitHeight="17.0" fitWidth="21.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@../img/important.png" />
                           </image>
                        </ImageView>
                     </graphic>
                  </Button>
                  <Button alignment="TOP_LEFT"  prefHeight="25.0" prefWidth="173.0" text="Trash">
                     <font>
                        <Font name="System Bold" size="12.0" />
                     </font>
                     <graphic>
                        <ImageView fitHeight="17.0" fitWidth="21.0" pickOnBounds="true" preserveRatio="true">
                           <image>
                              <Image url="@../img/Trash.png" />
                           </image>
                        </ImageView>
                     </graphic>
                  </Button>
               </children>
               <padding>
                  <Insets top="15.0" />
               </padding>
               <opaqueInsets>
                  <Insets />
               </opaqueInsets>
            </VBox>
            <ListView layoutX="31.0" layoutY="343.0" prefHeight="207.0" prefWidth="200.0" style="-fx-background-color: E9E9E9;" />
            <Button layoutX="32.0" layoutY="570.0" prefHeight="52.0" prefWidth="59.0" style="-fx-background-color: #4DBCFF; -fx-background-radius: 10px;" text="+" textFill="WHITE">
               <font>
                  <Font size="24.0" />
               </font>
            </Button>
         </children></Pane>
   </left>
   <top>
      <Pane prefHeight="28.0" prefWidth="988.0" style="-fx-background-color: White; -fx-alignment: center;" styleClass="Top-Pane" BorderPane.alignment="CENTER">
         <children>
            <FlowPane hgap="5.0" layoutX="4.0" layoutY="5.0" prefHeight="17.0" prefWidth="67.0">
               <children>
                  <ImageView fx:id="Exit" fitHeight="17.0" fitWidth="21.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@../img/Exit.png" />
                     </image>
                  </ImageView>
                  <ImageView fx:id="Minimize" fitHeight="17.0" fitWidth="21.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@../img/Minimize.png" />
                     </image>
                  </ImageView>
                  <ImageView fx:id="Maximize" fitHeight="17.0" fitWidth="21.0" pickOnBounds="true" preserveRatio="true">
                     <image>
                        <Image url="@../img/Maximize.png" />
                     </image>
                  </ImageView>
               </children>
            </FlowPane>
            <Label contentDisplay="CENTER" layoutX="508.0" layoutY="5.0" text="Todo List">
               <font>
                  <Font name="Arial" size="14.0" />
               </font>
            </Label>
         </children></Pane>
   </top>
   <center>
      <AnchorPane>
         <StackPane fx:id="contentArea" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0" />
      </AnchorPane>
   </center>
</BorderPane>
